@charset "UTF-8";

/*共通部分
---------------------------------*/
html{
    font-size: 100%;
    font-family: "Noto Sans JP", sans-serif;
    background-color: #fffff4;
    margin: 0;
    padding: 0;
    color: #333333;
}
body{
  width: 100%;
  min-height: 100svh;
  margin: 0;
  padding: 0;
  overflow-x: hidden;
  display: flex;
  flex-direction: column;
  word-break: normal;
  line-break: strict;
}
header {
  position: relative;
  min-height: 115vw; 
  padding-bottom: 5vw;
}
main {
  position: relative;
  z-index: 1;
  flex: 1;
}
.page-footer {
  position: relative;
  width: 100%;
  margin-top: 0;
  z-index: 12;
}
/*ローディング*/
.loading {
  width: 100%;
  height: 100%;
  background: #fffff4;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9999;
  display: flex;
  align-items: center;
  justify-content: center;
}
.loading-icon {
  width: 30vw;
  height: 30vw;
}
.loading-p{
  font-family: "Dela Gothic One", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 2vw;
}
/*ヘッダー*/
.chara1{
  position: relative;
  width: 100vw;
  height: 100vh;
  left: 0;
}
.kumo{
  position: absolute;
  width: 50vw;
  margin-top: -25vw;
  margin-left: -20vw;
  z-index: 10;
}
.sun-icon{
  position: absolute;
  width: 30vw;
  margin-top: -19vw;
  margin-left: -10vw;
  z-index: 11;
}
h1{
  font-family: "Oi", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 9vw;
  position: absolute;
}
.top-tit{
  position: absolute;
  display: flex;
  justify-content: flex-end;
  margin-right: 5vw;
  top: 40vw;
  right: 2vw;
  z-index: 20;
}
.main-nam{
  color: #E90004;
}
.main-title{
  top: 10vw;
  z-index: 20;
}
.time{
  position: relative;
  text-align:center;
  padding:2vw 0;
  background-color: #ffffff;
  font-family: "Oi", serif;
  text-align: center;
  font-weight: 200;
  font-style: normal;
  border: solid;
  border-width: 0.5vw;
  width: 25vw;
  height: 12vw;
  font-size: 4vw;
  right: 35vw;
  z-index: 20;
}
.karada1{
  position: relative;
  width: 100%;
  top: 5%;
  z-index: 10;
}
.bousi{
  position: absolute;
  right: 13vw;
  top: 1vw;
  width: 20vw;
  z-index: 19;
  animation: bousi 3s infinite;
}
@keyframes bousi {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-20px);
  }
}
.curved {
  position: relative;
  background: #ffc300;
  height: 50vh;
  border-bottom-left-radius: 50% 31%;
  border-bottom-right-radius: 50% 31%;
  top: -1vw;
  z-index: 10;
}
.eye1{
  width: 20vw;
  position: absolute;
  top: 20vw;
  left: 50vw;
  z-index: 20;

}
.karada2{
  position: absolute;
  top: 10vw;
  width: 50vw;
  z-index: 1;
}
.eye2{
  position: absolute;
  width: 20vw;
  top: 20vw;
  left: 10vw;
  z-index: 20;
}
.top-nav {
  position: absolute;
  z-index: 30;
  margin-top: 40vw;
}
.box1{
  margin: 0 auto; /* 左右中央 */
  width: 85vw;
  height: 40vw;
  background-color: #ffe1cc;
  text-align: center;
  border-radius: 5vw;
  padding-top: 2.5vw;
}
.box2{
  margin: 0 auto; /* 左右中央 */
  width: 80vw;
  height: 35vw;
  background-color: #ffffff;
  text-align: center;
  border-radius: 5vw;
}
.nav-title{
  font-family: "Dela Gothic One", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 5vw;
  margin-top: 1rem;
  text-align: center;
}
li{
  list-style-type: none;
}
ul li a{
  text-decoration: none; 
  color: #333333;
  font-family: "Noto Sans JP", sans-serif;
  font-weight: 800;
  font-size: 3vw;
}
.main-list {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2.5vw;
  text-align: left;
  margin-left: 6vw;
  margin-top: -4.5vw;
}
.textlink {
  position: relative;
  transition: color 0.4s;
  z-index: 900;
}
.textlink:hover {
  color: #E90004;
}
/*背景*/
.background-decoration {
  position: fixed;
  inset: 0;
  z-index: 0;
  pointer-events: none;
  overflow: hidden;
}

.page {
  position: relative;
  z-index: 1;
}

.bg-star {
  position: absolute;
}

.bg-star-1 {
  top: 10%;
  left: 5%;
  width: 8vw;
}

.bg-star-2 {
  top: 60%;
  right: 5%;
  width: 12vw;
  transform: rotate(15deg);
}
.bg-star-3 {
  top: 10%;
  right: 10%;
  width: 40vw;
  transform: rotate(15deg);
}
.bg-star-4 {
  top: 5%;
  right: 35%;
  width: 10vw;
  transform: rotate(15deg);
}
.bg-star-5 {
  top: 60%;
  left: 5%;
  width: 60vw;
}
/*メイン*/
main{
  margin-top: 10vw;
}
.chara3{
  position: relative;
  margin-top: 5rem;
}
.karada3{
  z-index: 20;
}
.circle{
  position: absolute;
  width: 32vw;
  height: 32vw;
  border-radius: 50%;
  background: #ffffff;
  top: 34vw;
  left: 54vw;
}
.logo{
  position: absolute;
  width: 30vw;
  top: 35vw;
  left: 55vw;
}
.eye3{
  position: absolute;
  top: 20vw;
  left: 30vw;
  width: 20vw;
}
.tema-zu{
  position: absolute;
  top: 5vw;
  left: 20vw;
  z-index: 30;
  width: 25vw;
}
@keyframes bounce {
  0% {
    transform: translateY(0) scale(1);
  }
  30% {
    transform: translateY(-10px) scale(1.1);
  }
  50% {
    transform: translateY(0) scale(0.9);
  }
  70% {
    transform: translateY(-5px) scale(1.05);
  }
  100% {
    transform: translateY(0) scale(1);
  }
}
.tema-zu:hover {
  animation: bounce 0.7s ease;
}
.tema-p{
  position: absolute;
  top: 8vw;
  left: 27vw;
  font-size: 4vw;
  z-index: 30;
}
.logo-title{
  position: absolute;
  top: 30vw;
  left: 20vw;
  font-size: 7vw;
}
.logo-p{
  position: absolute;
  top: 50vw;
  left: 15vw;
  font-size: 2vw;
  font-weight: 500;
  width: 40vw;
}
.sumaho{
  position: relative;
  background-color: #ffc300;
  width: 76vw;
  height: 100vw;
  border-radius: 5vw;
  margin: 0 auto;
}
.gamenn{
  position: absolute;
  background-color:#ffffff;
  width: 70vw;
  height: 90vw;
  top: 108vw;
  left: 14vw;
  border-radius: 4vw;
}
.s-button{
  position: absolute;
  background-color: #ffffff;
  width: 10vw;
  height: 4vw;
  top: 199vw;
  left: 42vw;
  border-radius: 4vw;
}
.map iframe {
  position: absolute;
  top: 110vw;
  left: 16vw;
  width: 66vw;
  height: 60vw;
  border-radius: 4vw;
}
.place{
  position: absolute;
  font-size: 2vw;
  font-weight: 400;
  top: 169vw;
  left: 20vw;
}
/* solid004 */
.button_solid004 a {
  position: relative;
  display: flex;
  justify-content: space-around;
  align-items: center;
  margin: 5vw auto;
  width: 30vw;
  height: 5vw;
  top: -26vw;
  padding: 10px 25px;
  color: #FFF;
  transition: 0.3s ease-in-out;
  font-size: 2.5vw;
  font-family: "Dela Gothic One", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: #333333;
  background: #A7E97F;
  border-radius: 1vw;
  border-bottom: solid 5px #84b864;
  text-decoration: none;
}
.button_solid004 a:hover {
  border-bottom: solid 2px #84b864;
  transform: translateY(3px);
}
.botan a img{
	position:relative;
	top:0;
  width: 40vw;
  margin-left: 30vw;
  margin-top: -10vw;
}
.botan a img:hover{
	top:-20px;
	transition:0.5s;
}
/*フッター*/
.page-footer {
  position: relative;
  width: 100%;
  margin-top: 0; 
}
.footer-box{
  background-color: #FFF692;
  width: 100%;
  height: 40vw;
  border-radius: 10vw 0 0 0;
}
.info{
  position: absolute;
  top: 15vw;
  left: 10vw;
  font-size: 2vw;
}
.copyright{
  position: absolute;
  bottom: 2vw;
  text-align: center;
  width: 100%;
  font-size: 1.5vw;
}
.textlink2{
  font-size: 2vw;
  font-weight: 500;
  transition: color 0.4s;
}
.textlink2:hover {
  color: #E90004;
}
.related-link{
  position: absolute;
  top: 12vw;
  right: 10vw;
}
.info-tit{
  position: absolute;
  top: 5vw; 
  left: 23vw;
  font-size: 2.3vw;
}
.link-tit{
  position: absolute;
  top: 5vw;
  right: 18vw;
  font-size: 2.3vw;
}
.eye4{
  width: 13vw;
  position: absolute;
  top: 2vw;           /* フッターの左上に配置 */
  left: 3vw;
  transform: rotate(-22deg);
}
.X img{
  width: 4vw;
  position: absolute;
  bottom: 8vw;        /* コピーライトの上あたり */
  left: 20vw;
}
.insta img{
  width: 4.2vw;
  position: absolute;
  bottom: 8vw;
  left: 28vw;
}
.insta img:hover {
  transform: translateY(-5px);
}
.X img:hover {
  transform: translateY(-5px);
}


/* ハンバーガーボタン */
#menu-bar {
  width: 45px;
  height: 40px;
  position: fixed;
  top: 20px;
  right: 20px;
  cursor: pointer;
  z-index: 999;
}

.bar {
  height: 5px;
  width: 100%;
  background-color: #E90004;
  display: block;
  border-radius: 5px;
  transition: 0.3s ease;
}

#bar1 { transform: translateY(-4px); }
#bar3 { transform: translateY(4px); }

/* ナビ（右からスライド） */
.nav {
    position: fixed;
    top: 0;
    right: 0;
    width: 250px;
    height: 100vh;
    font-weight: 500;
    background-color: transparent;
    transform: translateX(100%);
    transition: transform 0.3s ease;

  padding-top: 50px;
  z-index: 998;
}

.nav.change {
  transform: translateX(0);
}

.nav ul {
  padding: 0 10px;
  padding-left: 30px;
  padding-right: 15px;
}

.nav li {
  list-style: none;
  padding: 12px 0;
}

.nav li a {
  color: white;
  font-size: 20px;
  text-decoration: none;
}

.nav li a:hover {
  font-weight: bold;
  color: #333333;
}

/* 円形背景 */
.menu-bg {
  position: fixed;
  top: 0;
  right: 0;
  z-index: 993;

  width: 0;
  height: 0;
  margin: 30px 20px 0 0;

  background: radial-gradient(circle, #E90004, #E90004);
  border-radius: 50%;
  transition: 0.4s ease;
}

.change-bg {
  width: 40vw;
  height: 40vw;
  transform: translate(30%,-30%);
}

/* ☰ → × */
.change .bar {
  background-color: white;
}

.change #bar1 {
  transform: translateY(4px) rotate(-45deg);
}

.change #bar2 {
  opacity: 0;
}

.change #bar3 {
  transform: translateY(-6px) rotate(45deg);
}

/* ===================================
   レスポンシブ設定
=================================== */

/* スマホ */
@media screen and (max-width: 750px) {
  html,
  body {
    width: 100%;
    overflow-x: hidden;
  }

  body {
    position: relative;
  }

  header {
    min-height: 240vw;
    padding-bottom: 0;
  }

  .chara1 {
    width: 100%;
    height: auto;
    min-height: 240vw;
    margin: 0;
  }

  .karada1 {
    width: 100%;
    top: 5vw;
  }

  .karada2 {
    top: 15vw;
    margin-top: 0;
  }

  .eye1 {
    top: 25vw;
    width: 22vw;
    margin: 0;
  }

  .eye2 {
    top: 25vw;
    margin: 0;
  }

  .bousi {
    top: 7vw;
    margin-top: 0;
  }

  .curved {
    height: 55vw;
  }

  .top-tit {
    top: 55vw;
    right: 0;
    width: 100%;
    margin: 0;
    display: block;
  }

  .time {
    position: absolute;
    top: 0;
    left: 7vw;
    right: auto;
    width: 30vw;
    height: auto;
    min-height: 15vw;
    margin: 0;
    padding: 2vw 1vw;
    box-sizing: border-box;
    border-width: 1vw;
    font-size: 4.5vw;
    line-height: 1.25;
  }

  .main-nam {
    top: 1vw;
    right: 7vw;
    margin: 0;
    color: #E90004;
    font-size: 12vw;
    z-index: 999;
  }

  .main-title {
    top: 18vw;
    right: 5vw;
    margin: 0;
    font-size: 10vw;
    white-space: nowrap;
    z-index: 999;
  }

  .top-nav {
    position: absolute;
    top: 45vw;
    left: 50%;
    width: 100%;
    margin: 0;
    transform: translateX(-50%);
  }

  .box1 {
    width: 90vw;
    height: auto;
    min-height: 105vw;
    margin: 0 auto;
    padding: 3vw;
    box-sizing: border-box;
    border-radius: 7vw;
  }

  .box2 {
    width: 84vw;
    height: auto;
    min-height: 97vw;
    margin: 0 auto;
    padding: 5vw;
    box-sizing: border-box;
    border-radius: 6vw;
  }

  .nav-title {
    margin: 0 0 6vw;
    font-size: 8vw;
  }

  .main-list {
    display: grid;
    grid-template-columns: 1fr;
    gap: 4vw;
    margin: 0;
    padding: 0;
    text-align: center;
    margin-right: 1vw;
  }

  .main-list li {
    width: 100%;
  }

  .main-list li a {
    display: block;
    font-size: 5.5vw;
  }

  main {
    position: relative;
    top: auto;
    margin-top: 0;
    margin-bottom: 0;
    padding-bottom: 0;
  }

  /* Luminas部分 */
  .chara3 {
    position: relative;
    width: 100%;
    min-height: 125vw;
    margin: 0 auto 0;
  }

  .karada3 {
    display: block;
    width: 90vw;
    margin: 0 auto;
  }

  .tema-zu {
    top: 2.5vw;
    left: 15vw;
    width: 30vw;
  }

  .tema-p {
    top: 11vw;
    left: 24vw;
    margin: 0;
    font-size: 4vw;
  }

  .eye3 {
    top: 22vw;
    left: 25vw;
    width: 21vw;
  }

  .logo-title {
    top: 32vw;
    left: 20vw;
    margin: 0;
    font-size: 5vw;
  }

  .logo-p {
    top: 46vw;
    left: 20vw;
    width: 43vw;
    margin: 0;
    font-size: 2vw;
    line-height: 1.8;
  }

  .circle {
    top: 25vw;
    left: 57vw;
    width: 34vw;
    height: 34vw;
  }

  .logo {
    top: 27vw;
    left: 59vw;
    width: 30vw;
  }

  /* 地図 */
  .map-all {
    position: relative;
    width: 100%;
    height: 125vw;
  }

  .sumaho {
    position: absolute;
    top: 0;
    left: 50%;
    width: 86vw;
    height: 120vw;
    margin: 0;
    transform: translateX(-50%);
    border-radius: 7vw;
  }

  .gamenn {
    top: 5vw;
    left: 50%;
    width: 78vw;
    height: 105vw;
    transform: translateX(-50%);
    border-radius: 5vw;
  }

  .map iframe {
    top: 9vw;
    left: 50%;
    width: 72vw;
    height: 70vw;
    transform: translateX(-50%);
    border-radius: 4vw;
  }

  .place {
    top: 82vw;
    left: 50%;
    width: 68vw;
    margin: 0;
    transform: translateX(-50%);
    font-size: 3.5vw;
    line-height: 1.7;
    text-align: center;
  }

  .s-button {
    top: 113vw;
    left: 50%;
    width: 13vw;
    height: 4vw;
    transform: translateX(-50%);
  }

  .button_solid004 {
    margin-top: 5vw;
  }

  .button_solid004 a {
    top: 0;
    width: 75vw;
    height: auto;
    min-height: 13vw;
    margin: 0 auto;
    padding: 2vw 4vw;
    box-sizing: border-box;
    border-radius: 3vw;
    font-size: 4.5vw;
    text-align: center;
  }

  .botan {
    margin: 4vw 0 0;
    padding: 0;
    line-height: 0;
    text-align: center;
  }

  .botan a {
    display: block;
    text-align: center;
  }

  .botan a img {
    display: block;
    top: 0;
    width: 65vw;
    margin: 0 auto;
  }

  /* フッター */
  footer {
    position: relative;
    bottom: auto;
  }

  .page-footer {
    margin-top: 5vw;
  }

  .footer-link {
    position: relative;
  }

  .footer-box {
    height: 145vw;
    border-radius: 12vw 0 0;
  }

  .eye4 {
    top: 3vw;
    left: 4vw;
    width: 23vw;
  }

  .info-tit {
    top: 8vw;
    left: 38vw;
    margin: 0;
    font-size: 5vw;
  }

  .info {
    top: 24vw;
    left: 8vw;
    width: 84vw;
    margin: 0;
    font-size: 3.3vw;
  }

  .info th {
    width: 8vw;
    vertical-align: top;
  }

  .info td {
    overflow-wrap: anywhere;
  }

  .link-tit {
    top: 62vw;
    right: auto;
    left: 8vw;
    margin: 0;
    font-size: 5vw;
  }

  .related-link {
    top: 76vw;
    right: auto;
    left: 8vw;
    margin: 0;
    padding: 0;
  }

  .related-link li {
    margin-bottom: 2vw;
  }

  .textlink2 {
    font-size: 3.8vw;
  }

  .X img {
    bottom: 13vw;
    left: 35vw;
    width: 8vw;
  }

  .insta img {
    bottom: 13vw;
    left: 55vw;
    width: 8vw;
  }

  .copyright {
    bottom: 3vw;
    font-size: 3vw;
  }

  /* ハンバーガーメニュー */
  #menu-bar {
    position: fixed;
    top: 22px;
    right: 20px;
    width: 40px;
    height: 32px;
    z-index: 1001;
  }

  .bar {
    width: 100%;
    height: 5px;
    background-color: #E90004;
    border-radius: 10px;
  }

  #bar1 {
    transform: translateY(-4px);
  }

  #bar3 {
    transform: translateY(4px);
  }

  .nav {
    position: fixed;
    top: 0;
    right: 0;
    width: 230px;
    height: 270px;
    padding: 75px 20px 20px 42px;
    box-sizing: border-box;
    background-color: transparent;
    transform: translateX(110%);
    transition: transform 0.4s ease;
    z-index: 1000;
  }

  .nav.change {
    transform: translateX(0);
  }

  .nav ul {
    margin: 0;
    padding: 0;
  }

  .nav li {
    margin: 0;
    padding: 7px 0;
    line-height: 1;
  }

  .nav li a {
    display: block;
    color: #ffffff;
    font-size: 18px;
    font-weight: 800;
    line-height: 1.25;
    text-decoration: none;
    white-space: nowrap;
  }

  .menu-bg {
    position: fixed;
    top: 0;
    right: 0;
    width: 0;
    height: 0;
    margin: 0;
    background: #E90004;
    border-radius: 50%;
    transform: translate(38%, -38%);
    transition: width 0.4s ease, height 0.4s ease;
    z-index: 999;
  }

  .menu-bg.change-bg {
    width: 450px;
    height: 550px;
    transform: translate(38%, -38%);
  }

  .change .bar {
    background-color: #ffffff;
  }

  .change #bar1 {
    transform: translateY(5px) rotate(-45deg);
  }

  .change #bar2 {
    opacity: 0;
  }

  .change #bar3 {
    transform: translateY(-5px) rotate(45deg);
  }

  .bg-star-5 {
    width: 80vw;
    left: 1%;
    margin-top: 10vw;
    transform: rotate(-30deg);
  }

  .loading-icon {
    width: 45vw;
    height: 45vw;
  }

  .loading-p {
    font-size: 5vw;
  }
}

/* 小さいスマホ */
@media screen and (max-width: 400px) {
  .eye1 {
    width: 22vw;
  }

  .sumaho {
    height: 120vw;
  }
}

/* タブレット */
@media screen and (min-width: 768px) and (max-width: 1023px) {
  .change-bg {
    width: 800px;
    height: 800px;
    transform: translate(25%, -25%);
  }

  .nav li a {
    font-size: 25px;
  }
}

/* PC */
@media screen and (min-width: 1024px) {
  .change-bg {
    width: 600px;
    height: 600px;
    transform: translate(20%, -20%);
  }

  .nav {
    width: 400px;
  }

  .nav li a {
    padding: 0;
    font-size: 30px;
  }
}

/* 大画面 */
@media screen and (min-width: 1440px) {
  .change-bg {
    width: 50vw;
    height: 50vw;
    transform: translate(15%, -15%);
  }
}
